<div class="main-container">
  <div class="container">
    <!--    <img class="document-img" src="assets/images/pexels-erika-ortiz-120949461.jpg" alt="">-->
    <svg class="document-img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
      <!--! Font Awesome Pro 6.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. -->
      <path
        d="M448 80v48c0 44.2-100.3 80-224 80S0 172.2 0 128V80C0 35.8 100.3 0 224 0S448 35.8 448 80zM393.2 214.7c20.8-7.4 39.9-16.9 54.8-28.6V288c0 44.2-100.3 80-224 80S0 332.2 0 288V186.1c14.9 11.8 34 21.2 54.8 28.6C99.7 230.7 159.5 240 224 240s124.3-9.3 169.2-25.3zM0 346.1c14.9 11.8 34 21.2 54.8 28.6C99.7 390.7 159.5 400 224 400s124.3-9.3 169.2-25.3c20.8-7.4 39.9-16.9 54.8-28.6V432c0 44.2-100.3 80-224 80S0 476.2 0 432V346.1z"/>
    </svg>
    <div class="site-wrapper">
      <div class="site-header">
        <app-triangle></app-triangle>
        <h2 class="site-title">ЕГИСЗ</h2>
      </div>
    </div>
  </div>
  <div class="info-block">
    <ul class="info-items">
      <li class="info-item">
        <span class="green-circle"></span>
        <div class="info-text" animateOnScroll animationName="animate__animated animate__backInLeft animate__slow">
          Согласно Постановлению Правительства РФ №852 от 01.06.2021 были введены новые требования к лицензированию
          медицинской деятельности
        </div>
      </li>
      <li class="info-item">
        <span class="green-circle"></span>
        <div class="info-text" animateOnScroll animationName="animate__animated animate__backInLeft animate__slow">Все
          медицинские организации должны разместить сведения о медицинской организации в ФРМО и сведения о медицинских
          работниках в ФРМР
        </div>
      </li>
      <li class="info-item">
        <span class="green-circle"></span>
        <div class="info-text" animateOnScroll animationName="animate__animated animate__backInLeft animate__slow">В
          случае невыполнения требований, изложенных в Постановлении, на медицинскую организацию распространяется
          административная ответственность в виде штрафа
        </div>
      </li>
    </ul>
  </div>
  <div class="bgi-down-egis">
    <ul class="about-items">
      <li class="about-item">
        <app-green-point [star]="true"></app-green-point>
        <p class="about-text" animateOnScroll animationName="animate__animated animate__backInLeft animate__slow">МЫ
          ЗАРЕГИСТРИРУЕМ ВАС В ЕГИСЗ В КРАТЧАЙШИЕ СРОКИ</p>
      </li>
      <li class="about-item">
        <app-green-point [star]="true"></app-green-point>
        <p class="about-text" animateOnScroll animationName="animate__animated animate__backInLeft animate__slow">
          СДЕЛАЕМ ПОЛНЫЙ АУДИТ ВАШЕЙ ДОКУМЕНТАЦИИ</p>
      </li>
      <li class="about-item">
        <app-green-point [star]="true"></app-green-point>
        <p class="about-text" animateOnScroll animationName="animate__animated animate__backInLeft animate__slow">
          ОБОРУДОВАНИЕ БУДЕТ ВНЕСЕНО ПО НОВЫМ СТАНДАРТАМ ОСНАЩЕНИЯ</p>
      </li>
    </ul>
  </div>
  <div class="prices">
    <h1 class="prices-title">Рассчитать стоимость</h1>
    <form [formGroup]="egisForm" class="prices-form">
      <div class="form-group">
        <label class="form-label" for="organization">Наименование организации</label>
        <input formControlName="organization" class="form-input" id="organization" name="organization" type="text">
      </div>
      <div
        *ngIf="egisForm.controls['organization'].invalid && (egisForm.controls['organization'].dirty || egisForm.controls['organization'].touched)"
        class="alert">
        <div *ngIf="egisForm.controls['organization'].errors?.['required']">
          Введите название организации
        </div>
      </div>
      <div class="form-group">
        <label class="form-label" for="isRegistration">Нужна ли регистрация?</label>
        <select formControlName="isRegistration" class="form-input" id="isRegistration" name="isRegistration">
          <option value="5000">Да</option>
          <option value="0">Нет</option>
        </select>
      </div>
      <div class="form-group">
        <label class="form-label" for="personal">Количество сотрудников</label>
        <select formControlName="personal" class="form-input" id="personal" name="personal">
          <option selected value="1500">1</option>
          <option value="2100">2</option>
          <option value="2600">3</option>
          <option value="2900">4</option>
          <option value="3500">От 5 до 10</option>
          <option value="6500">От 10</option>
        </select>
      </div>
      <div class="form-group">
        <label class="form-label" for="equipment">Количество единиц оборудования</label>
        <select formControlName="equipment" class="form-input" id="equipment" name="equipment">
          <option selected value="5000">До 10</option>
          <option value="7000">От 10 до 20</option>
          <option value="10000">От 20 до 30</option>
          <option value="11000">От 30 до 40</option>
          <option value="12000">От 40 до 50</option>
          <option value="24000">От 50</option>
        </select>
      </div>
      <div class="form-group">
        <label class="form-label" for="email">Эл. почта</label>
        <input formControlName="email" class="form-input" id="email" name="email" type="email">
      </div>
      <div
        *ngIf="egisForm.controls['email'].invalid && (egisForm.controls['email'].dirty || egisForm.controls['email'].touched)"
        class="alert">
        <div *ngIf="egisForm.controls['email'].errors?.['email'] || egisForm.controls['email'].errors?.['required']">
          Введите корректный адрес электронной почты
        </div>
      </div>
      <div class="form-group">
        <label class="form-label" for="phone">Телефон</label>
        <input formControlName="phone" class="form-input" id="phone" name="phone" type="text">
      </div>
      <div
        *ngIf="egisForm.controls['phone'].invalid && (egisForm.controls['phone'].dirty || egisForm.controls['phone'].touched)"
        class="alert">
        <div *ngIf="egisForm.controls['phone'].errors?.['required']">
          Введите номер телефона
        </div>
      </div>
      <div class="form-input-checkbox">
        <input formControlName="policy" type="checkbox" id="offero">
        <label
          [ngStyle]="egisForm.controls['policy'].invalid ? {'color': '#d34040'} : {'red': '#d34040'}"
          for="offero"> Я принимаю условия <span
          [ngStyle]="egisForm.controls['policy'].invalid ? {'color': '#d34040'} : {'red': '#d34040'}"
          class="offero-link" (click)="openModal()">Политики конфиденциальности</span></label>
      </div>
      <button [class.disabled]="egisForm.invalid" (click)="calculate()" class="form-btn">ПОСЧИТАТЬ</button>
      <button *ngIf="price" [class.disabled]="egisForm.invalid" (click)="sendForm()" class="form-btn">ОТПРАВИТЬ</button>
    </form>
    <div *ngIf="price" class="price animate__animated animate__fadeIn">Цена составляет: {{price}} руб.</div>
    <div *ngIf="isSend" class="form-notice animate__animated animate__fadeIn">Ваши данные отправлены!</div>
  </div>
  <div class="video-container">
    <div class="video-title">Наша авторская лекция на тему: ЕГИСЗ 2.0. ИНСТРУКЦИЯ К ПРИМЕНЕНИЮ</div>
    <div class="video-wrapper">
      <iframe class="video-iframe" src="https://www.youtube.com/embed/b7kFtRUmVI8" title="YouTube video player"
              frameborder="0"
              allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
              allowfullscreen></iframe>
    </div>
  </div>
  <div class="info-container">
    <h1 class="prices-title">СВЕЖАЯ ИНФОРМАЦИЯ О ЕГИCЗ!</h1>
    <ul class="info-items">
      <li class="info-item">
        <span class="green-circle"></span>
        <div class="info-text" animateOnScroll animationName="animate__animated animate__backInLeft animate__slow">С 22
          августа 2022 года вышла новая версия ЕГИСЗ. ФРМО и ФРМР претерпели значительные изменения
        </div>
      </li>
      <li class="info-item">
        <span class="green-circle"></span>
        <div class="info-text" animateOnScroll animationName="animate__animated animate__backInLeft animate__slow">С 01
          марта 2023 года вступают силы изменения в 323-ФЗ "Об основах охраны здоровья граждан", согласно которому ВСЕ
          фармацевтические органзации также должны быть зарегистрированы в ЕГИСЗ
        </div>
      </li>
    </ul>
  </div>
</div>
<app-modal (isModalEvent)="closeModal($event)" *ngIf="isModal"></app-modal>
